Subject: RE: Microsoft Claimed IP, License Terms, etc.

From: "Harry Katz" <[email-masked]>
Date: Wed, 1 Sep 2004 10:02:36 -0700

On August 29, 2004 3:27 AM, Nick Shelness wrote:

> All,
> 
> I don't really want to enter this discussion, but I believe 
> it is necessary.
> 
> For those that don't know me, I'm the ex-CTO of Lotus (98-01) 
> and thus someone who professionally had to spend a great deal 
> of time (too much) worrying about IP issues, and consulting 
> with IP lawyers. I was also the source of a private 
> suggestion to Harry Katz that [E]SMTP be extended to identify 
> the email submitter as an alternative to mucking about with RFC
> [2]822 headers. At the time, Harry indicated that this idea 
> was new to him and Microsoft. I leave it to Harry to indicate 
> whether he has subsequently encountered a prior claim to this idea.

I agree with Nick's account of our conversation and his suggestion of an
ESMTP extension.  Around the same time (I can't remember the precise
chronological order) Pete Resnick suggested on this list that the
existing ORCPT parameter could be used in a similar way.  At the MARID
interim meeting in May at Qualcomm HQ in Campbell, CA, this idea was
discussed further and it was agreed that Eric Allman and I would
co-author an Internet Draft.  Thus was born the SUBMITTER extension.  

Nick and Pete are both named in the acknowledgements section of the
draft.  My thanks again to both of them.